curl -OJ "https://api.telzino.com/v1/call-logs/123e4567-e89b-12d3-a456-426614174000/recording" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const callLogId = '123e4567-e89b-12d3-a456-426614174000';
const response = await fetch(
`https://api.telzino.com/v1/call-logs/${callLogId}/recording`,
{ headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' } }
);
// Save the audio file
const blob = await response.blob();
const url = URL.createObjectURL(blob);
import requests
call_log_id = '123e4567-e89b-12d3-a456-426614174000'
response = requests.get(
f'https://api.telzino.com/v1/call-logs/{call_log_id}/recording',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
# Save the audio file
with open('recording.mp3', 'wb') as f:
f.write(response.content)
Binary audio/mpeg data
Headers:
Content-Type: audio/mpeg
Content-Disposition: attachment; filename="recording-123e4567.mp3"
{
"error": "invalid_token",
"error_description": "Missing or invalid authorization token"
}
{
"error": "forbidden",
"error_description": "No access to this call log"
}
{
"error": "not_found",
"error_description": "Call log not found or no recording available"
}
Call Logs
Get Call Recording
Download the audio recording for a specific call log
GET
/
v1
/
call-logs
/
{callLogId}
/
recording
curl -OJ "https://api.telzino.com/v1/call-logs/123e4567-e89b-12d3-a456-426614174000/recording" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const callLogId = '123e4567-e89b-12d3-a456-426614174000';
const response = await fetch(
`https://api.telzino.com/v1/call-logs/${callLogId}/recording`,
{ headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' } }
);
// Save the audio file
const blob = await response.blob();
const url = URL.createObjectURL(blob);
import requests
call_log_id = '123e4567-e89b-12d3-a456-426614174000'
response = requests.get(
f'https://api.telzino.com/v1/call-logs/{call_log_id}/recording',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
# Save the audio file
with open('recording.mp3', 'wb') as f:
f.write(response.content)
Binary audio/mpeg data
Headers:
Content-Type: audio/mpeg
Content-Disposition: attachment; filename="recording-123e4567.mp3"
{
"error": "invalid_token",
"error_description": "Missing or invalid authorization token"
}
{
"error": "forbidden",
"error_description": "No access to this call log"
}
{
"error": "not_found",
"error_description": "Call log not found or no recording available"
}
Returns the audio recording file for a completed call. The response is a binary audio/mpeg file with a
Content-Disposition: attachment header.
Path Parameters
string
required
The unique identifier of the call log (UUID format)
curl -OJ "https://api.telzino.com/v1/call-logs/123e4567-e89b-12d3-a456-426614174000/recording" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const callLogId = '123e4567-e89b-12d3-a456-426614174000';
const response = await fetch(
`https://api.telzino.com/v1/call-logs/${callLogId}/recording`,
{ headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' } }
);
// Save the audio file
const blob = await response.blob();
const url = URL.createObjectURL(blob);
import requests
call_log_id = '123e4567-e89b-12d3-a456-426614174000'
response = requests.get(
f'https://api.telzino.com/v1/call-logs/{call_log_id}/recording',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
# Save the audio file
with open('recording.mp3', 'wb') as f:
f.write(response.content)
Binary audio/mpeg data
Headers:
Content-Type: audio/mpeg
Content-Disposition: attachment; filename="recording-123e4567.mp3"
{
"error": "invalid_token",
"error_description": "Missing or invalid authorization token"
}
{
"error": "forbidden",
"error_description": "No access to this call log"
}
{
"error": "not_found",
"error_description": "Call log not found or no recording available"
}
Recordings are only available for calls where recording was enabled via the agent’s
config.enable_recording setting. If recording was not enabled, this endpoint returns a 404 error.⌘I
